import React, { Component } from 'react'
import ReactECharts from 'echarts-for-react';
import axios from 'axios';
import {  message } from 'antd';

export default class FrontCounte extends Component {

  getOptions=()=>{
    const numberData = []
    const quantityData = []
    axios.get("/ticai/probability/front").then(response=>{
      const result = response.data;
      if (result.status.code === 200) {
        result.data.forEach(numberVO => {
          numberData.push(numberVO.number)
          quantityData.push(numberVO.quantity)
        })
        const echartInstance = this.echartsReact.getEchartsInstance();
        echartInstance.setOption({xAxis: {
          data: numberData,
        },series:{
          data: quantityData
        }})
      } else {
        message.error(result.status.message)
      }
    }).catch(e=>{
      console.log("123",e)
    })
    return {
      grid: { top: 8, right: 8, bottom: 24, left: 36 },
      xAxis: {
        type: 'category',
        data: [],
      },
      yAxis: {
        type: 'value',
      },
      series: [
        {
          data: [],
          type: 'line',
          smooth: true,
        },
      ],
      tooltip: {
        trigger: 'axis',
      }
    }
  }
  render(){
    return (
      <>
          <h3 style={{aligen:"center"}}>大乐透前区数据往期个数展示</h3>
          <ReactECharts ref={(e) => { this.echartsReact = e }} option={this.getOptions()} />
      </>
    )
  }

}
