import React, { Component } from 'react'
import { Button, Switch, InputNumber, Spin, Space,message } from 'antd';
import axios from 'axios';
export default class GenerateSelf extends Component {
    state = {
        data: [{
            uuid: 1,
            frontWinningNum: '0,0,0,0,0',
            backWinningNum: '0,0',
            appendAdd: true,
            multiplyingPower: 2
        }, {
            uuid: 2,
            frontWinningNum: '0,0,0,0,0',
            backWinningNum: '0,0',
            appendAdd: true,
            multiplyingPower: 2
        }],
    }

    generateRandom = () => {
        const key = 'GENERATE_RANDOM_LOADING';
        message.loading({content:'Loading...',key,duration:0});

        axios.get("/ticai/generate/random")
            .then(response => {
                const result = response.data;
                if (result.status.code === 200) {
                    // 只覆盖球编号
                    result.data.forEach((winningNumber, index) => { 
                        this.state.data[index].frontWinningNum=winningNumber.frontWinningNum
                        this.state.data[index].backWinningNum=winningNumber.backWinningNum
                    })
                    const newMesage=[...this.state.data]
                    this.setState({data:newMesage})
                    message.destroy(key)
                    message.success({
                        content: 'Loaded!',
                        duration: 2,
                      })
                } else {
                    message.destroy(key)
                    message.error(result.status.message)
                }
            })
            .catch(function (error) {
                message.destroy(key)
                message.error(error)
            })
    }
    componentDidMount() {
    }



    generateSelf = (event, uuid) => {
        const key = 'GENERATE_SELE_LOADING';

        const requestData = this.state.data.filter(result => result.uuid === uuid)[0];
        if (requestData.frontWinningNum.split(',').filter(num => num == 0).length > 0) {
            message.error("数据有问题")
            return
        }
        message.loading({content:'Loading...',key,duration:0});

        axios.post('/ticai/generate/self', requestData, {
            headers: {
                'Content-Type': 'application/json'
            }
        }).then(response => {
            const result = response.data;
            if (result.status.code === 200) {
                message.destroy(key)
                message.success({
                    content: result.data,
                    duration: 2,
                  })
            } else {
                message.destroy(key)
                message.error(result.status.message)
            }
        })
            .catch(function (error) {
                message.destroy(key)
                message.error(error)
            })
    }

    changeAppendAdd = (event, uuid) => {
        this.state.data.map(result => {
            if (result.uuid === uuid) {
                result.appendAdd = event
            }
        })

    }

    changeMultiplyingPower = (event, uuid) => {
        this.state.data.map(result => {
            if (result.uuid === uuid) {
                result.multiplyingPower = event
            }
        })
    }

    render() {
        const  {data}  = this.state
        console.log(this.state)
        return (
            <div>
                <Button onClick={this.generateRandom}>随机</Button>
                <hr />
                {
                        data.map(winningNumber => {
                            return <div key={"div" + winningNumber.uuid}>
                                <Space key={winningNumber.uuid} align='center'>
                                    {winningNumber.frontWinningNum.split(',').map((frontNum, index) =>
                                        <Button key={winningNumber.uuid + 'frontButton' + index} type="primary" shape="circle" size='large' style={{ background: "blue" }}>
                                            {frontNum}
                                        </Button>)}

                                    {winningNumber.backWinningNum.split(',').map((backNum, index) =>
                                        <Button key={winningNumber.uuid + 'backButton' + index} type="primary" shape="circle" size='large' style={{ background: "yellow", color: "black" }}>
                                            {backNum}
                                        </Button>)}

                                    是否追加:<Switch key={'Switch' + winningNumber.uuid} checkedChildren="是" unCheckedChildren="否" defaultChecked={winningNumber.appendAdd}
                                        name="appendAdd" onChange={(e) => this.changeAppendAdd(e, winningNumber.uuid)} />
                                    几倍:<InputNumber key={'InputNumber' + winningNumber.uuid} min={1} defaultValue={winningNumber.multiplyingPower}
                                        name="multiplyingPower" onChange={(e) => this.changeMultiplyingPower(e, winningNumber.uuid)} />
                                    {/* 金额:<span></span> */}
                                    <Button key={'Button' + winningNumber.uuid} onClick={(e) => this.generateSelf(e, winningNumber.uuid)}>选中</Button>
                                </Space>
                                <hr />
                            </div>
                        })
                }
            </div>
        )
    }
}
